<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: SDL_ControllerSensorEvent Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">SDL_ControllerSensorEvent Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Game controller sensor event structure (event.csensor.*)  
 <a href="struct_s_d_l___controller_sensor_event.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_s_d_l__events_8h_source.html">SDL_events.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a553d55d13d9b118679a3f208c41e96cb"><td class="memItemLeft" align="right" valign="top">Uint32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___controller_sensor_event.html#a553d55d13d9b118679a3f208c41e96cb">type</a></td></tr>
<tr class="separator:a553d55d13d9b118679a3f208c41e96cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67f4b70a91f347130928f1c91d120e95"><td class="memItemLeft" align="right" valign="top">Uint32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___controller_sensor_event.html#a67f4b70a91f347130928f1c91d120e95">timestamp</a></td></tr>
<tr class="separator:a67f4b70a91f347130928f1c91d120e95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf40e0528d7147725dfc94cc96618d4d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_s_d_l__joystick_8h.html#a3c3d32500cb08f76ee8077983912c0bd">SDL_JoystickID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___controller_sensor_event.html#acf40e0528d7147725dfc94cc96618d4d">which</a></td></tr>
<tr class="separator:acf40e0528d7147725dfc94cc96618d4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac19e4034212a30d64066a122d5db2a8"><td class="memItemLeft" align="right" valign="top">Sint32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___controller_sensor_event.html#aac19e4034212a30d64066a122d5db2a8">sensor</a></td></tr>
<tr class="separator:aac19e4034212a30d64066a122d5db2a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a214cbd66e4c8b5e58a60f21faa00e0e7"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___controller_sensor_event.html#a214cbd66e4c8b5e58a60f21faa00e0e7">data</a> [3]</td></tr>
<tr class="separator:a214cbd66e4c8b5e58a60f21faa00e0e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Game controller sensor event structure (event.csensor.*) </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a214cbd66e4c8b5e58a60f21faa00e0e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a214cbd66e4c8b5e58a60f21faa00e0e7">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float SDL_ControllerSensorEvent::data[3]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Up to 3 values from the sensor, as defined in <a class="el" href="_s_d_l__sensor_8h.html">SDL_sensor.h</a> </p>

</div>
</div>
<a id="aac19e4034212a30d64066a122d5db2a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac19e4034212a30d64066a122d5db2a8">&#9670;&nbsp;</a></span>sensor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Sint32 SDL_ControllerSensorEvent::sensor</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The type of the sensor, one of the values of <a class="el" href="_s_d_l__sensor_8h.html#a94a441696f7d053dd541ec0b7e00e33a">SDL_SensorType</a> </p>

</div>
</div>
<a id="a67f4b70a91f347130928f1c91d120e95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67f4b70a91f347130928f1c91d120e95">&#9670;&nbsp;</a></span>timestamp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint32 SDL_ControllerSensorEvent::timestamp</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>In milliseconds, populated using <a class="el" href="_s_d_l__timer_8h.html#a0b9bc71d6287e0ffafdc3419760fe2b3" title="Get the number of milliseconds since the SDL library initialization.">SDL_GetTicks()</a> </p>

</div>
</div>
<a id="a553d55d13d9b118679a3f208c41e96cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a553d55d13d9b118679a3f208c41e96cb">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint32 SDL_ControllerSensorEvent::type</td>
        </tr>
      </table>
</div><div class="memdoc">
<p><a class="el" href="_s_d_l__events_8h.html#a3b589e89be6b35c02e0dd34a55f3fccaafa7a5589ea54330547713f4c80b4437e">SDL_CONTROLLERSENSORUPDATE</a> </p>

</div>
</div>
<a id="acf40e0528d7147725dfc94cc96618d4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf40e0528d7147725dfc94cc96618d4d">&#9670;&nbsp;</a></span>which</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_s_d_l__joystick_8h.html#a3c3d32500cb08f76ee8077983912c0bd">SDL_JoystickID</a> SDL_ControllerSensorEvent::which</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The joystick instance id </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/SDL/<a class="el" href="_s_d_l__events_8h_source.html">SDL_events.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
